1

I have Drupal 7.9 installed with Facebook for Drupal module version 7.x-3.x dev.

Here are the errors given after turning on FB API & FBCONNECT:

Warning: include(/src/facebook.php) [function.include]: failed to open stream: No such file or directory in fb_requirements() (line 66 of C:\xampp\htdocs\drupal\phswap\sites\all\modules\fb\fb.install).

Warning: include() [function.include]: Failed opening '/src/facebook.php' for inclusion (include_path='.;C:\xampp\php\PEAR') in fb_requirements() (line 66 of C:\xampp\htdocs\drupal\phswap\sites\all\modules\fb\fb.install).

reverting to a 6.x install for functionality is not an option. I hope someone can help.

4

Have you read the powerful README.txt file inside the module. It says you have to install the facebook-php-sdk. The instructions in the readme are pretty clear. The error is thrown because it can't find the file.

  • i solved the problem shortly after asking about it. it was late at night however and i was ready for bed else i would have closed it then. to solve it, i had to move the facebook-sdk to the root of my website. the "powerful" (lol) readme however dictates to install it elsewhere, in modules/libraries. either this changes per user, or the readme is inaccurate. i was aware that it was a 404/not found error, i just could not understand why since i had the SDK installed where the "powerful" readme told me to install it. i was best to pay attention to my error messages. – osmorphyus Dec 21 '11 at 19:08

Not the answer you're looking for? Browse other questions tagged or ask your own question.